Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageThreadInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageThreadInfo

Enclosing class:
  TdApi

public static final class TdApi.MessageThreadInfo extends TdApi.Object
Contains information about a message thread.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which the message thread belongs.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.DraftMessage`
`draftMessage`
A draft of a message in the message thread; may be null if none.
`TdApi.Message[]`
`messages`
The messages from which the thread starts.
`long`
`messageThreadId`
Message thread identifier, unique within the chat.
`TdApi.MessageReplyInfo`
`replyInfo`
Information about the message thread; may be null for forum topic threads.
`int`
`unreadMessageCount`
Approximate number of unread messages in the message thread.

## Constructor Summary

Constructors
Constructor
Description
`MessageThreadInfo()`
Contains information about a message thread.
`MessageThreadInfo(long chatId, long messageThreadId, TdApi.MessageReplyInfo replyInfo, int unreadMessageCount, TdApi.Message[] messages, TdApi.DraftMessage draftMessage)`
Contains information about a message thread.
`MessageThreadInfo(DataInput input)`
Contains information about a message thread.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the message thread belongs.

### messageThreadId

public long messageThreadId
Message thread identifier, unique within the chat.

### replyInfo

public TdApi.MessageReplyInfo replyInfo
Information about the message thread; may be null for forum topic threads.

### unreadMessageCount

public int unreadMessageCount
Approximate number of unread messages in the message thread.

### messages

public TdApi.Message[] messages
The messages from which the thread starts. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId).

### draftMessage

public TdApi.DraftMessage draftMessage
A draft of a message in the message thread; may be null if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageThreadInfo

public MessageThreadInfo()
Contains information about a message thread.

### MessageThreadInfo

public MessageThreadInfo(long chatId, long messageThreadId, TdApi.MessageReplyInfo replyInfo, int unreadMessageCount, TdApi.Message[] messages, TdApi.DraftMessage draftMessage)
Contains information about a message thread.

Parameters:
  `chatId` - Identifier of the chat to which the message thread belongs.
  `messageThreadId` - Message thread identifier, unique within the chat.
  `replyInfo` - Information about the message thread; may be null for forum topic threads.
  `unreadMessageCount` - Approximate number of unread messages in the message thread.
  `messages` - The messages from which the thread starts. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId).
  `draftMessage` - A draft of a message in the message thread; may be null if none.

### MessageThreadInfo

public MessageThreadInfo(DataInput input) throws IOException
Contains information about a message thread.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`